# DVR REST Converter Stores Actions This API is available in builds 15942 or later. Endpoint: PUT /v2/servers/{serverName}/vhosts/{vhostName}/applications/{appName}/instances/{instanceName}/dvrstores/actions/{action} Version: 2.0.0 Security: basicAuth ## Path parameters: - `serverName` (string, required) Reserved for future use - `action` (string, required) The action which should be performed by the server - `vhostName` (string, required) The name of the current VHost the action will be performed on - `appName` (string, required) The application name needed for this REST call - `instanceName` (string, required) The application instance name needed for this REST call ## Query parameters: - `dvrConverterDefaultFileDestination` (string) The file location to use when converting a nDVR store, the default is configured as the StorageDir in the application in use - `dvrConverterDebugConversions` (string) Indicates if the conversion should have debugging enabled, can be true or false, default is false - `dvrConverterContinueOnSourceErrors` (string) Indicates if the conversion should continue even if errors are detected, can be true or false, default is true - `dvrConverterAudioVideoSyncEnable` (string) Indicates if the audio/video offset should be detected and conversion only started after the sync in no longer detected or over default allowable time. Can be true or false, default is false - `dvrConverterAudioVideoMaxOffset` (string) Indicates the maximum audio/video timecodes can be out of sync - `dvrConverterAudioVideoMaxBuffer` (string) Indicates the maximum time a correct audio/video sync will be searched for before giving up - `dvrConverterStartTime` (string) A start time in UTC from where the conversion should start in the store, default is the first entry in the store - `dvrConverterEndTime` (string) A end time in UTC where the conversion should end in the store, default is to the end of the store - `dvrConverterDuration` (string) A duration for the conversion either added to the start or subtracted from the end time, if you use duration you can not use start and end - `dvrConverterOutputFilename` (string) Indicates the output filename if not using the default, which is the name of the store being converted - `dvrConverterStoreList` (string) The comma-separated list of stores to convert ## Response 200 fields ## Response 400 fields ## Response 401 fields ## Response 404 fields ## Response 500 fields